• Are the issues with Antergos Keyring solved now?


    I am hoping to do a refresh of my system but if the keyring thing is still failing I don’t see how it’d be of any use.

  • @backbone
    Hello friend!
    Can you post the commands you tried?

    these are usually enough to fix:

    sudo pacman-key --init
    sudo pacman-key --populate archlinux antergos
    sudo pacman-key --refresh-keys
    sudo pacman -Syyu

  • @fernandomaroto
    Yeah, tried all of that and ended up with a local key missing error that won’t go away on both of my antergos systems

  • @backbone

    then try:
    sudo rm -R /etc/pacman.d/gnupg
    sudo pacman-key --init
    sudo pacman-key --populate archlinux antergos
    sudo pacman-key --refresh-keys
    sudo pacman -Syyu

    If even then don’t work then:
    pacman -Sw antergos-keyring archlinux-keyring
    cd /var/cache/pacman/pkg
    pacman -U antergos-keyring archlinux-keyring

  • @fernandomaroto
    Things worked well down to sudo pacman-key --refresh-keys once I ran that I get ERROR: A Specified local key could not be updated from a keyserver

  • Here’s the exact error
    0_1499700468217_Capture.PNG

  • I’m reinstalling with the latest iso on the machine with no pertinent data. Thanks for your time fernando

  • @backbone
    Hi!
    Well, you should try the last option i gave you then.
    I had to use the biggest solution i gave you only once, when i had Antergos without being updated for 3 months or so (virtual machine), then just manually downloading antergos and archlinux keyring could fix the problem. The way you described you didn’t try that.
    I hope reinstalling or not you fix your problem.

  • @fernandomaroto
    I have the same problem in a VM I’m trying to upgrade.
    I tried all the commands I’ve seen in other posts, I still get stuck in that "ERROR: A specified local key… " error.

    I tried the commands you gave, I get this:

    [email protected] [19:48:19] [/var/cache/pacman/pkg] 
    -> %  sudo pacman -Sw antergos-keyring archlinux-keyring
    resolving dependencies...
    
    Packages (2) antergos-keyring-20170524-1  archlinux-keyring-20180627-1
    
    Total Download Size:  0.00 MiB
    
    :: Proceed with download? [Y/n] y
    (2/2) checking keys in keyring                                                                       [############################################################] 100%
    (2/2) checking package integrity                                                                     [############################################################] 100%
    error: antergos-keyring: signature from "Antergos Build Server (Automated Package Build System) <[email protected]>" is unknown trust
    :: File /var/cache/pacman/pkg/antergos-keyring-20170524-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
    Do you want to delete it? [Y/n] y
    error: failed to commit transaction (invalid or corrupted package)
    Errors occurred, no packages were upgraded.
    [email protected] [19:48:23] [/var/cache/pacman/pkg] 
    -> % sudo pacman -U antergos-keyring archlinux-keyring
    loading packages...
    error: 'antergos-keyring': could not find or read package
    error: 'archlinux-keyring': could not find or read package
    

    any idea what else to try?

    last update I have is from 4.10.9

    -> % uname -ar
    Linux antergos-vm 4.10.9-1-ARCH #1 SMP PREEMPT Sat Apr 8 12:39:59 CEST 2017 x86_64 GNU/Linux
    
  • If it helps, this is what I get when trying to update ( yaourt -Syyu )

    ...
    (674/674) checking keys in keyring                                                                   [############################################################] 100%
    (674/674) checking package integrity                                                                 [############################################################] 100%
    error: antergos-keyring: signature from "Antergos Build Server (Automated Package Build System) <[email protected]>" is unknown trust
    :: File /var/cache/pacman/pkg/antergos-keyring-20170524-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
    Do you want to delete it? [Y/n] 
    error: antergos-alerts: signature from "Antergos Build Server (Automated Package Build System) <[email protected]>" is unknown trust
    :: File /var/cache/pacman/pkg/antergos-alerts-17.11.18-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
    Do you want to delete it? [Y/n] 
    error: antergos-mirrorlist: signature from "Antergos Build Server (Automated Package Build System) <[email protected]>" is unknown trust
    :: File /var/cache/pacman/pkg/antergos-mirrorlist-20180526-4-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
    Do you want to delete it? [Y/n] 
    error: antergos-wallpapers: signature from "Antergos Build Server (Automated Package Build System) <[email protected]>" is unknown trust
    :: File /var/cache/pacman/pkg/antergos-wallpapers-0.7-3-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
    Do you want to delete it? [Y/n] 
    error: python-pydbus: signature from "Antergos Build Server (Automated Package Build System) <[email protected]>" is unknown trust
    :: File /var/cache/pacman/pkg/python-pydbus-0.6.0-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
    Do you want to delete it? [Y/n] 
    error: antergos-welcome: signature from "Antergos Build Server (Automated Package Build System) <[email protected]>" is unknown trust
    :: File /var/cache/pacman/pkg/antergos-welcome-0.3-2-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
    Do you want to delete it? [Y/n] 
    error: light-locker-settings: signature from "Antergos Build Server (Automated Package Build System) <[email protected]>" is unknown trust
    :: File /var/cache/pacman/pkg/light-locker-settings-1.5.3-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
    Do you want to delete it? [Y/n] 
    error: lightdm-webkit2-greeter: signature from "Antergos Build Server (Automated Package Build System) <[email protected]>" is unknown trust
    :: File /var/cache/pacman/pkg/lightdm-webkit2-greeter-2.2.5-1-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
    Do you want to delete it? [Y/n] 
    error: numix-icon-theme: signature from "Antergos Build Server (Automated Package Build System) <[email protected]>" is unknown trust
    :: File /var/cache/pacman/pkg/numix-icon-theme-1:0.r1976-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
    Do you want to delete it? [Y/n] 
    error: numix-icon-theme-square: signature from "Antergos Build Server (Automated Package Build System) <[email protected]>" is unknown trust
    :: File /var/cache/pacman/pkg/numix-icon-theme-square-1:18.02.16-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
    Do you want to delete it? [Y/n] 
    error: package-query: signature from "Antergos Build Server (Automated Package Build System) <[email protected]>" is unknown trust
    :: File /var/cache/pacman/pkg/package-query-1.9.r380-3-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
    Do you want to delete it? [Y/n] 
    error: pamac: signature from "Antergos Build Server (Automated Package Build System) <[email protected]>" is unknown trust
    :: File /var/cache/pacman/pkg/pamac-6.4.0-1-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
    Do you want to delete it? [Y/n] 
    error: yaourt: signature from "Antergos Build Server (Automated Package Build System) <[email protected]>" is unknown trust
    :: File /var/cache/pacman/pkg/yaourt-1.9-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
    Do you want to delete it? [Y/n] 
    error: failed to commit transaction (invalid or corrupted package)
    Errors occurred, no packages were upgraded.
    
  • @antouank said in Are the issues with Antergos Keyring solved now?:

    uname -ar

    old VM from last year, and so also one year without updating it on a rolling release?

  • @antouank

    Hi! If you really tried everything maybe you can try sudo mv /etc/pacman.d/gnupg /etc/pacman.d/gnupg.old then init populate refresh keys again.

    Anyway you’ll find a lot of troubles and require manual intervention for some packages… I wish you good luck…

  • @joekamprad said in Are the issues with Antergos Keyring solved now?:

    @antouank said in Are the issues with Antergos Keyring solved now?:

    uname -ar

    old VM from last year, and so also one year without updating it on a rolling release?

    It’s the one I have in my Macbook. Rarely use it.
    Would be nice to update it though.

  • @fernandomaroto said in Are the issues with Antergos Keyring solved now?:

    @antouank

    Hi! If you really tried everything maybe you can try sudo mv /etc/pacman.d/gnupg /etc/pacman.d/gnupg.old then init populate refresh keys again.

    Anyway you’ll find a lot of troubles and require manual intervention for some packages… I wish you good luck…

    Tried that.
    Still same error

    ...
    gpg: key E2539214C6C11350: "Federico Cinelli <[email protected]>" 9 new signatures
    gpg: key CDBD406AA1AA7A1D: "Antergos Build Server (Automated Package Build System) <[email protected]>" 3 new signatures
    gpg: Total number processed: 105
    gpg:              unchanged: 2
    gpg:           new user IDs: 8
    gpg:         new signatures: 3507
    gpg: [don't know]: invalid packet (ctb=67)
    gpg: keyring_get_keyblock: read error: Invalid packet
    gpg: keydb_get_keyblock failed: Invalid keyring
    gpg: keydb_search failed: Invalid keyring
    gpg: [don't know]: indeterminate length for invalid packet type 5
    gpg: keyring_get_keyblock: read error: Invalid packet
    gpg: keydb_get_keyblock failed: Invalid keyring
    gpg: keydb_search failed: Invalid keyring
    gpg: skipped packet of type 11 in keyring
    gpg: keyring_get_keyblock failed: Unknown system error
    gpg: failed to rebuild keyring cache: Unknown system error
    gpg: marginals needed: 3  completes needed: 1  trust model: pgp
    gpg: skipped packet of type 11 in keyring
    gpg: keydb_get_keyblock failed: Unknown system error
    gpg: validate_key_list failed
    ==> ERROR: A specified local key could not be updated from a keyserver.
    
  • @antouank

    Then only booting from a newest iso version, mounting your partitions to /mnt and running sudo pacman -Syu --root /mnt (very hacked way but it’s ok for VBox).

    Will only work as long as pacman still supports it since pacman has been changed. Also could try --sysroot instead, but i’m not sure if that will work.

    Other than that i’m out of ideas.

  • I don’t have anything custom installed in that box, so I can save some time and use the latest iso and make a new one.

    Thank for all the help. :)

issues85 solved19 keyring6 Posts 16Views 1489
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.